# Get Started

Fortmatic SDK allows you to easily integrate your app with the Ethereum blockchain, whether you already have a dApp integrated with web3 or are starting from scratch. Fortmatic provides a smooth and delightful experience for both you and your app's users.

This documentation for the Fortmatic Javascript SDK will get you started in minutes!

## Hello World Walkthrough

Let's start by building a simple Ethereum wallet dApp that uses Fortmatic to send test Ether transactions to other users.

👉 Go to our [**Hello World Tutorial**](https://rebrand.ly/fortmatic-hello-world) on CodePen to get started.

### Step 1: Include Fortmatic SDK Script

Install Fortmatic SDK to your dApp by including a script tag between the "TODO" comment lines on the CodePen editor.

```markup
<!-- TODO: Step 1: Include Fortmatic SDK Script -->
<script src="https://cdn.jsdelivr.net/npm/fortmatic@latest/dist/fortmatic.js"></script>
<!-- End Step 1 -->
```

or download Fortmatic SDK to your project via NPM. [**Read More**](https://docs.fortmatic.com/install-with-npm)

```bash
$ npm i --save fortmatic@latest
```

### Step 2: Setup Developer API Key

Create a Fortmatic instance with your API key with the following script and replace your existing web3 provider.

Make sure to use your **Testnet** key for this tutorial.

```javascript
// TODO: Step 2: Setup Developer API Key
// You must specify the testnet chain
let fm = new Fortmatic('YOUR_TEST_API_KEY', 'goerli');
web3 = new Web3(fm.getProvider());
// End Step 2
```

You need to sign up or log into your [Fortmatic dashboard](https://dashboard.fortmatic.com/login) to get your API keys:

![](https://3347162661-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Lj7HukBJLlR6jbx0-eP-2537780914%2Fuploads%2Fe31yFvmkooYOOy27UvoN%2Ffortmatic_testnets.png?alt=media\&token=b4cf1ce6-f753-4ac6-be54-47e5f36242fc)

### Step 3: Send Transaction Implementation

You can implement web3 functionalities just like how you would normally with MetaMask.

```javascript
// TODO: Step 3: Send Transaction Implementation
web3.eth.sendTransaction({
  // From address will automatically be replaced by the address of current user
  from: '0x0000000000000000000000000000000000000000',
  to: address,
  value: web3.utils.toWei(amount, 'ether')
});
// End Step 3
```

## Your First Fortmatic dApp! 🎉

After putting the 3 code snippets above into the editor, click on the **Send Transaction** button in the web preview and voilà! Your app is now blockchain enabled!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fortmatic.com/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
